<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          Orders
      </mat-chip>
  </mat-chip-list>
  <!-- <div style="flex-grow: 1;"></div>
  <div> <button (click)="addproduct()" matTooltip="Add Product"
    matTooltipPosition="left" mat-fab ><mat-icon>add_circle_outline</mat-icon></button></div> -->
</div>

<!-- <button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add User">add</mat-icon>
</button> -->
 
<div class="appereance">
  <div class="example-container mat-elevation-z2 radius margintable">
    <div class="title">
      <span>Orders</span>
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <div class="new">
    <table mat-table [dataSource]="dataSource" class="example-table"
             matSort matSortActive="created" matSortDisableClear matSortDirection="asc" style="width: 100%">
        <!-- Number Column -->
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Order ID </th>
            <td mat-cell *matCellDef="let row; let i=index"> {{i+1}} </td>
          </ng-container>
      
          <!-- Progress Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Customer Name </th>
            <td mat-cell *matCellDef="let row"> {{row.name}} </td>
          </ng-container>
      
          <!-- Name Column -->
          <ng-container matColumnDef="to_char">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Order Date</th>
            <td mat-cell *matCellDef="let row"> {{row.to_char}} </td>
          </ng-container>

          <ng-container matColumnDef="address">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Order Address</th>
              <td mat-cell *matCellDef="let row"><button mat-raised-button style="cursor: pointer; width: 55px;" (click)="openDialog(row.customer_id)" color="primary">SHOW</button>
              </td>
            </ng-container>

      
            <ng-container matColumnDef="delivery_method">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Delivery Method</th>
                <td mat-cell *matCellDef="let row"> {{row.delivery_method}} </td>
              </ng-container>

          <!-- Color Column -->
          <ng-container matColumnDef="order_total">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Order Total </th>
            <td mat-cell *matCellDef="let row"><b> {{row.order_total}} </b></td>
          </ng-container>
      
          <ng-container matColumnDef="payment_type">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>Payment Type  </th>
              <td mat-cell *matCellDef="let row" > {{row.payment_type}} </td>
            </ng-container>

            <ng-container matColumnDef="shipping_charges">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Shipping Charges </th>
                <td mat-cell *matCellDef="let row" > {{row.shipping_charges}} </td>
              </ng-container>

            
                  <ng-container matColumnDef="order_status">
                      <th mat-header-cell *matHeaderCellDef mat-sort-header> Order Item  </th>
                      <td mat-cell *matCellDef="let row" >  <table>
                        <!-- <th>Sr No</th>&nbsp;&nbsp; -->
                        <th>Product name</th>&nbsp;&nbsp;
                        <th>Product GST</th>&nbsp;&nbsp;
                        <th>Product Country</th>&nbsp;&nbsp;
                        <th>Quantity</th>&nbsp;&nbsp;
                        <!-- <th>Product Total Quantity</th>&nbsp;&nbsp; -->
                        <th>combo list</th>&nbsp;&nbsp;
                        <th>product_type</th>&nbsp;&nbsp;
                        <th>product_image</th>&nbsp;&nbsp;
                        <th>order_status</th>&nbsp;&nbsp;
                        <tr *ngFor="let a of row.Orderitem; let i=index">
                          <!-- <td>{{i+1}}</td>&nbsp;&nbsp; -->
                          <td>{{a.product_name}}</td>&nbsp;&nbsp;
                          <td>{{a.gst_percentage}}%</td>&nbsp;&nbsp;
                          <td>{{a.country}}</td>&nbsp;&nbsp;
                          <td>{{a.quantity}}</td>&nbsp;&nbsp;
                          <!-- <td>{{a.product_total_quantity}}</td>&nbsp;&nbsp; -->
                          <td>
                              <button mat-raised-button style="cursor: pointer; width: 55px" (click)="openDialog1(a.configurable_products)" color="primary">SHOW</button>
                              <!-- <span *ngFor="let k of a.configurable_products">
                                  <tr>{{k.product_name}}<img src="{{k.product_image}}" width="50px"></tr>
                            </span> -->
                          </td>&nbsp;&nbsp;
                          <td>{{a.product_type}}</td>&nbsp;&nbsp;
                          <td><img src="{{a.images[0]}}" width="50px"></td>&nbsp;&nbsp;
                          <td>
                              <select id="a{{i}}" (change)="run($event.target.value,a.order_item_id,row.customer_id)">
                                  <option>Select status </option>
                                <option [selected]="a.order_status==1" value="1">Accept</option>
                                 <option [selected]="a.order_status==2" value="2">Decline</option>
                                  <option [selected]="a.order_status==0" value="0">Pending</option>
                                   <option [selected]="a.order_status==6" value="6">Return</option>
                                <option [selected]="a.order_status==4" value="4">Dispatch</option>
                               <option [selected]="a.order_status==3" value="3">Cancel</option>
                                <option [selected]="a.order_status==5" value="5">Delivered</option>
                              </select>
                          </td>
                        </tr>
                      </table> </td>
                    </ng-container>
          <!-- Color Column -->
          <!-- <ng-container matColumnDef="product_image">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Image  </th>
            <td mat-cell *matCellDef="let row" ><img src="{{row.product_image}}" width="100px">  </td>
          </ng-container> -->

          <!-- <ng-container matColumnDef="status">

               <th mat-header-cell *matHeaderCellDef mat-sort-header>Status</th>
              <td mat-cell *matCellDef="let row" >

                  <select id="row{{i}}" (change)="run($event.target.value,row.order_id,row.customer_id)">
                      <option>Select status </option>
                    <option [selected]="row.order_status==1" value="1">Accept</option>
                     <option [selected]="row.order_status==2" value="2">Decline</option>
                      <option [selected]="row.order_status==0" value="0">Pending</option>
                       <option [selected]="row.order_status==6" value="6">Return</option>
                    <option [selected]="row.order_status==4" value="4">Dispatch</option>
                   <option [selected]="row.order_status==3" value="3">Cancel</option>
                    <option [selected]="row.order_status==5" value="5">Delivered</option>
                  </select>

              </td>
              
                
            </ng-container> -->

          <!-- <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Edit</th>
              <td mat-cell *matCellDef="let row"><a matTooltip="edit product"
                matTooltipPosition="left"><mat-icon color="warn">border_color</mat-icon></a></td>
            </ng-container> -->
    
            <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Delete</th>
              <td mat-cell *matCellDef="let row"><a [matTooltip]="(isHandset$ | async) ? '' : 'delete product'"
                matTooltipPosition="right"><mat-icon color="warn" style="cursor: pointer;" (click)="delete(row.order_id)" >delete</mat-icon></a></td>
            </ng-container>
       
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
    </div>
    <!-- <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
        <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">

    </mat-paginator>
  </div>
</div>

                   